import logging

import treefiles as tf


def load_legends(fname: str):  # -> Tuple[TParams, TFeatures]
    from gcma.io.Feature import Features
    from gcma.io.Param import Params

    d = tf.load_json(fname)
    params = Params(d["params"])
    features = Features(d["features"])
    return params, features


def r(x, k=2):
    return None if x is None else round(x, k)


colors = {"red": "#d62728", "blue": "#1f77b4", "green": "#2ca02c", "grey": "grey"}


log = logging.getLogger(__name__)
